petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsPushGetViewerOff

control whether PetscOptionsGetViewer returns a viewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscOptionsPushGetViewerOff(PetscBool flg)

Logically Collective

### Input Parameter

flg -PETSC_TRUE to turn off viewer creation, PETSC_FALSE to turn it on.

### Notes

Calling XXXViewFromOptions in an inner loop can be very expensive. This can appear, for example, when using many small subsolves. Call this function to control viewer creation in PetscOptionsGetViewer, thus removing the expensive XXXViewFromOptions calls.

### See Also

PetscOptionsGetViewer(), PetscOptionsPopGetViewerOff()

### Level

developer

### Location

src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages